[Bug 497646] Upgrade path is broken

bugzilla at redhat.com bugzilla at redhat.com
Sun May 10 16:10:02 UTC 2009


Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=497646





--- Comment #9 from Nicolas Mailhot <nicolas.mailhot at laposte.net>  2009-05-10 12:10:01 EDT ---
(In reply to comment #3)

> No. upgrading path from F-10 -> F-11 MUST be preserved.
> This is not related to font packaging policy.  

The upgrade path DOES work within Fedora. (see comment #7)

That third party packages fail is none of our problem. And a metapackage is
certainly not needed. In fact a large part of the liberation spec ugly-ness is
due to mixing in metapackage patterns. However even though this mixing makes it
difficult to understand it should still work ok.


Anyway,

1. re:
Conflicts:    liberation-fonts < 1.04.93-8
⇒ request by the yum folks to workaround a groupupdate yum misbehaviour

2. re:
Obsoletes:    liberation-sans-fonts < 1.04.93-8
Provides:     liberation-sans-fonts = %{version}-%{release}
⇒ totally unnecessary, though harmless
Obsoletes:    liberation-fonts-sans < xxxx would have made sense if it had ever
been pushed to users

-- 
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.




More information about the fonts-bugs mailing list